%define         moname        %{name}
%define         plugindir     %{_libdir}/gimp/2.0/plug-ins
%define         scriptdir     %{_datadir}/gimp/2.0/scripts

Name:           gimp-plugin-astronomy
Version:        0.9
Release:        %mkrel 1
Summary:        Astronomy plugins for the GIMP graphic editor
License:        GPLv2+
Group:          Graphics/Editors and Converters

URL:            http://hennigbuam.de/georg/gimp.html
Source0:        http://www.hennigbuam.de/georg/downloads/%{name}-%{version}.tar.bz2

#fix docdir to standard location (/usr/share/doc/gimp-plugin-astronomy)
Patch0:         gimp-plugin-astronomy-0.8_docdir.patch

Patch1:		gimp-plugin-astronomy-0.8-gsl2.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gimp-2.0)
BuildRequires:  gtk+2-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gsl)
Requires:       gimp >= 2.6.0


%description
Gimp Astronomy is a set of plug-ins for the Gimp graphic editor
intended for astronomical image processing. They support various basic
and more advanced tasks such as aligning and stacking images with
arithmetic, geometric, median, or sigma mean, removing dark frames and
dividing by a flat field. Some plug-gins are designed for creating
synthetic stars distribution or synthetic galaxy images.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
export LIBS="-lm"
%configure2_5x \
    CPPFLAGS=-D_XOPEN_SOURCE=700
%make 
      


%install
%makeinstall_std INSTALLDIR="%{buildroot}/%{plugindir}" \
      LOCALEDIR="%{buildroot}/%{_datadir}/locale"
%find_lang %{moname}



%files -f %{moname}.lang
%doc README AUTHORS
%{scriptdir}/*.scm
%{plugindir}/astronomy-*
%{_docdir}/gimp-plugin-astronomy




%changelog
* Tue May 02 2017 eatdirt <eatdirt> 0.9-1.mga6
+ Revision: 1098596
- Upgrade to version 0.9

* Tue Jan 26 2016 luigiwalser <luigiwalser> 0.8-7.mga6
+ Revision: 927763
- add patch to fix build with gsl version 2
- rebuild for gsl

* Wed Oct 15 2014 umeabot <umeabot> 0.8-6.mga5
+ Revision: 740397
- Second Mageia 5 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 738814
- Mageia 5 Mass Rebuild

* Sun Apr 27 2014 eatdirt <eatdirt> 0.8-4.mga5
+ Revision: 618510
- Rebuild (old age)

* Sat Oct 19 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 531958
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 eatdirt <eatdirt> 0.8-2.mga4
+ Revision: 466100
- Fix unimplemented features in description

* Mon Aug 12 2013 eatdirt <eatdirt> 0.8-1.mga4
+ Revision: 465743
- imported package gimp-plugin-astronomy

